Subject: Re: [PoC] run SQL over ciphertext

From: Mingyu Li <[email-masked]>
Date: Wed, 11 Oct 2023 15:34:27 +0800

Hello Peter,

https://www.postgresql.org/message-id/flat/[email-masked]

Thanks for referring me to your TCE project, nice work! It takes time to go
through the long thread of discussion and the patch.

A quick question: what operations do pg_encrypted_* support? Are
(in)equality checks sufficient to fulfill real-world queries?

--
Best,
Mingyu

Peter Eisentraut <[email-masked]> 于2023年10月11日周三 14:43写道：

> On 10.10.23 08:42, Mingyu Li wrote:
> > We have developed an extension, allowing PostgreSQL to run queries over
> > encrypted data. This functionality is achieved via user-defined
> > functions that extend encrypted data types and support commonly used
> > expression operations. Our tests validated its effectiveness with TPC-C
> > and TPC-H benchmarks. You may find the code here:
> > https://github.com/SJTU-IPADS/HEDB <https://github.com/SJTU-IPADS/HEDB>.
> >
> > This PoC is a reimplementation fork while collaborating with a cloud
> > database company; the aim is to enable their DBAs to manage databases
> > without the risk of data leaks, /meeting the requirements of laws such
> > as GDPR./
> >
> > I am wondering if anyone thinks this is a nice feature. If so, I am
> > curious about the steps to further it mature and potentially have it
> > incorporated as a part of PostgreSQL contrib.
>
> FYI, see also
> <
> https://www.postgresql.org/message-id/flat/[email-masked]>
>
> for a similar project.
>
>